Subject: bug#29716: 25.1; Wrong brackground-mode on gnome-terminal

From: semente <[email-masked]>
Date: Sun, 07 Jan 2018 21:24:58 -0200

Got this:

    background: rgb:2323/2727/2929^[

Anyway, I might just have found the issue.

The patch set the version to 200 before evaluating the following 
code:

          (when (> version 4000)
            (xterm--query "\e]11;?\e\\"
                          '(("\e]11;" . 
                          xterm--report-background-handler))))

So the expression above is never evaluated.

I moved the `(setq version 200)' line to the line after the `(when 
...)' expression and it is working now but don't know if it is 
exactly what you would do.

Thank you once again!

Noam Postavsky <[email-masked]> writes:

> semente <[email-masked]> writes:
>
>> Hey Eli and Noam, sorry for the delay in give you a feedback 
>> but the
>> patch unfortunately didn't work for me.
>
> Hmm, what does the evaluating the following produce?  It should 
> pop up a
> buffer *bug29716* showing something like "background: 
> rgb:ee00/e800/d500^[".
>
>     (defun bug29716--report-background-handler ()
>       (let ((str "")
>             chr)
>         ;; The reply should be: \e ] 11 ; rgb: NUMBER1 / NUMBER2 
>         / NUMBER3 \e \\
>         (while (and (setq chr (read-event nil nil 2)) (not 
>         (equal chr ?\\)))
>           (setq str (concat str (string chr))))
>         (with-current-buffer (get-buffer-create "*bug29716*")
>           (insert (format "background: %s\n" str))
>           (display-buffer (current-buffer)))))
>
>     (xterm--query "\e]11;?\e\\"
>                   '(("\e]11;" . 
>                   bug29716--report-background-handler)))
>
> If that works, is it possible you didn't test the patch 
> correctly?
> (e.g., maybe you applied the patch, but didn't recompile?)
>
> If it doesn't work, I'm a bit confused, given what you reported 
> in #13.

--
semente